PAK(1)

NAME
pak - The QuakeForge Packfile Tool

SYNOPSIS
pak <command> [options] ARCHIVE FILE...

DESCRIPTION
pak is a utility for managing pack (*.pak) archives. The format used is compatible with Quake and Quake II. Pak archives are a convenient way to store groups of related files. Some engines allow pak archives to be compressed internally.

COMMANDS
pak accepts the following arguments as a command. Only one command may be used at a time.

-c, --create
    Create an archive. Overwrites any contents the archive may have had.

-t, --test
    Test an archive for valid formatting.

-x, --extract
    Extract an archive. Overwrites any files in the current directory with the same names as those inside the archive.

-h, --help
    Show summary of options.

-V, --version
    Show the version of pak.

OPTIONS
pak takes the following arguments as options.

-f, --file ARCHIVE
    Use ARCHIVE as the archive filename, instead of the first non-option argument. This option is provided for compatibility with older versions of pak.

-p, --pad
    Can be useful when creating an archive. File space is padded to a 4-byte boundary, assisting in the speed of loading files from the archive. The file data itself is not changed.

-q, --quiet
    Inhibit some of pak's normal output.

-v, --verbose
    Display more output than usual.

EXIT STATUS
pak returns a zero exit status when it has completed a command successfully (without error). Otherwise, it returns a non-zero exit status.

BUGS

The program does not currently handle compression or decompression. This is planned for a future version.

The program does not currently handle extraction of individual files inside an archive. This is planned for a future version.

The program cannot modify an archive once it has been created.

AUTHORS
Bill Currie (taniwha@quakeforge.net) wrote most of the program.

Jeff Teunissen (deek@quakeforge.net) wrote the command-line interface and the documentation.

SEE ALSO
quakeforge(1), qfcc(1)